### Class

# Meta WaylandClient

#### Description [src]

    final class Meta.WaylandClient : GObject.Object
    {
      /* No available fields */
    }

A class that allows to launch a trusted client and detect if an specific Wayland window belongs to it.

#### Ancestors

- GObject

#### Constructors

###### meta_wayland_client_new

Creates a new `MetaWaylandClient`. The GSubprocesslauncher passed is stored internally and will be used to launch the subprocess.

#### Instance methods

###### meta_wayland_client_hide_from_window_list

No description available.

###### meta_wayland_client_make_desktop

Mark window as DESKTOP window.

###### meta_wayland_client_make_dock

Mark window as DOCK window.

###### meta_wayland_client_owns_window

No description available.

###### meta_wayland_client_show_in_window_list

Shows again this window in window lists, like taskbars, pagers…

###### meta_wayland_client_spawn

Creates a `GSubprocess` given a provided varargs list of arguments. It also sets up a new Wayland socket and sets the environment variable WAYLAND_SOCKET to make the new process to use it.

###### meta_wayland_client_spawnv

Creates a `GSubprocess` given a provided array of arguments, launching a new process with the binary specified in the first element of argv, and with the rest of elements as parameters. It also sets up a new Wayland socket and sets the environment variable WAYLAND_SOCKET to make the new process to use it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.WaylandClient::client-destroyed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWaylandClientClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.